import java.io.IOException;
import java.io.InputStreamReader;

public class Main {
    public static void main(String[] args) {
        Lexer l = new Lexer(new InputStreamReader(System.in));

        try {
            while (true) {
                Token t = l.yylex();
                if (t == null) {
                    // the lexer is done reading input
                    break;
                } else {
                    // print each token that the lexer produces
                    System.out.println(t);
                }
            }
        } catch (IOException e) {
            System.err.println(e.getLocalizedMessage());
        }
        
    }
}
